AudioKit Documentation
======================

AudioKit is documented in a few different, but related ways.

## Inline Comments

By using inline comments, AudioKit is self-documenting, and the help panel within Xcode should be populated by this style of autogenerated documentation.  The comments that are used for this are lines that begin with three asterisks `***` or comment blocks that begin with `/**` and end with `*/`.  For the most part, we prefer three asterisks.

Inline comments are also parsed by the "jazzy" documentation generator which provides us [web based documentation](http://audiokit.io/docs/).

## README files

We try to include a README folder in ever directory of AudioKit to describe the contents of the folders and to provide some basic quickstart information as necessary.

## Playgrounds

Playgrounds contain bite-size examples of AudioKit and serve as tutorials for many of AudioKit's core concepts and capabilities.  There are over one hundred playgrounds from the most basic tutorials, to synthesis, physical modeling, file playback, MIDI, effects, filters, and analysis. The playgrounds can be perused on Github, or [on AudioKit.io (many with demonstration videos)](http://audiokit.io/playgrounds/).

## Example Projects

There are many sample projects included in the Examples folder of AudioKit. There is some extra documentation for them in their READMEs or on [the audiokit.io website](http://audiokit.io/examples/).

## Archictectural and High-Level Overviews

These are currently being developed.  The first one is on [Audio Unit Creation](AudioUnitCreation.md).