//
//  AKMorphingOscillatorTests.swift
//  AudioKitTestSuite
//
//  Created by Aurelius Prochazka, revision history on GitHub.
//  Copyright © 2017 AudioKit. All rights reserved.
//

import AudioKit
import XCTest

class AKMorphingOscillatorTests: AKTestCase {

    let waveforms = [AKTable(.sine), AKTable(.triangle), AKTable(.sawtooth), AKTable(.square)]

    func testDefault() {
        output = AKMorphingOscillator()
        AKTestMD5("b3168bffcc63e44c6850fbf7c17ad98d")
    }

    func testParametersSetAfterInit() {
        let oscillator = AKMorphingOscillator(waveformArray: waveforms)
        oscillator.rampTime = 0
        oscillator.frequency = 1_234
        oscillator.amplitude = 0.5
        oscillator.index = 1.234
        oscillator.detuningOffset = 11
        oscillator.detuningMultiplier = 1.1
        output = oscillator
        AKTestMD5("382e738d40fdda8c38e4b9ad1fbde591")
    }

    func testParametersSetOnInit() {
        output = AKMorphingOscillator(waveformArray: waveforms,
                                      frequency: 1_234,
                                      amplitude: 0.5,
                                      index: 1.234,
                                      detuningOffset: 11,
                                      detuningMultiplier: 1.1)

        AKTestMD5("382e738d40fdda8c38e4b9ad1fbde591")
    }
}
